LibreOffice LibreOffice 6.2 SDK API Reference

Public Member Functions | List of all members
XStateChangeBroadcaster Interface Referencepublished

broadcasts message in case embedded object object changes it's state. More...

`import"XStateChangeBroadcaster.idl";`

Inheritance diagram for XStateChangeBroadcaster:

## Public Member Functions
void | addStateChangeListener ([in] com::sun::star::embed::XStateChangeListener xListener)
| adds the specified listener to receive events about states change More...
void | removeStateChangeListener ([in] com::sun::star::embed::XStateChangeListener xListener)
| removes the specified listener More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

broadcasts message in case embedded object object changes it's state.

## Member Function Documentation

## ◆ addStateChangeListener()

void addStateChangeListener | ( | [in] com::sun::star::embed::XStateChangeListener | xListener | ) |

adds the specified listener to receive events about states change

## ◆ removeStateChangeListener()

void removeStateChangeListener | ( | [in] com::sun::star::embed::XStateChangeListener | xListener | ) |

removes the specified listener

The documentation for this interface was generated from the following file:

- com/sun/star/embed/XStateChangeBroadcaster.idl